#pragma once
#include <map>
struct M_AbysmFishingKingSignCFGData
{
	//天数
	int mDay;
	//奖励物品
	int mRewardItem;
	//奖励数量
	int mRewardQuantity;
};

class M_AbysmFishingKingSignCFG
{
public:
private:
	static std::auto_ptr<M_AbysmFishingKingSignCFG> msSingleton;
public:
	int GetCount();
	const M_AbysmFishingKingSignCFGData* GetData(int Day);
	const std::map<int, M_AbysmFishingKingSignCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_AbysmFishingKingSignCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_AbysmFishingKingSignCFGData> mMapData;
};
